Create multiple entitlements in a single batch operation, efficiently associating plans with accounts (tenants) and optionally specific users.
Entitlements Overview (1.0)
The Entitlements Engine is powered by the isEntitledTo query and is designed to manage and control user access within your application. It enables you to grant users specific roles, permissions, feature access, and more, providing a flexible framework for access management.
Below is an overview of API endpoints relevant to managing features, plans, feature flags, and API access control within your application. All endpoints are classified as Management Endpoints, requiring environment-level authorization and offering comprehensive control over entitlement resources.
Download OpenAPI description
Languages
Servers
EU Region
https://api.frontegg.com/entitlements/
US Region
https://api.us.frontegg.com/entitlements/
CA Region
https://api.ca.frontegg.com/entitlements/
AU Region
https://api.au.frontegg.com/entitlements/
Frontegg sub-domain for use with user tokens
https://{domain}.frontegg.com/entitlements/
Bodyapplication/jsonrequired
Array of entitlements to create
UUID string that represents the plan ID
Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3"
UUID string that represents the account (tenant) ID
Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3"
UUID string that represents the user ID
Example: "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3"
- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2/batch
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2/batch
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2/batch
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2/batch
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2/batch
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X POST \
https://api.frontegg.com/entitlements/resources/entitlements/v2/batch \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"entitlements": [
{
"planId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"tenantId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"userId": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3",
"expirationDate": "2022-01-01T12:00:00"
}
]
}'Response
application/json
{ "entitlementIds": [ "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3" ] }
- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2/batch
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2/batch
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2/batch
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2/batch
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2/batch
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X PATCH \
https://api.frontegg.com/entitlements/resources/entitlements/v2/batch \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"entitlements": [
{
"expirationDate": "2022-01-01T12:00:00",
"id": "e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3"
}
]
}'- EU Regionhttps://api.frontegg.com/entitlements/resources/entitlements/v2/batch
- US Regionhttps://api.us.frontegg.com/entitlements/resources/entitlements/v2/batch
- CA Regionhttps://api.ca.frontegg.com/entitlements/resources/entitlements/v2/batch
- AU Regionhttps://api.au.frontegg.com/entitlements/resources/entitlements/v2/batch
- Frontegg sub-domain for use with user tokenshttps://app-xxx.frontegg.com/entitlements/resources/entitlements/v2/batch
- cURL
- JavaScript
- Python
- GO
- Payload
curl -i -X DELETE \
'https://api.frontegg.com/entitlements/resources/entitlements/v2/batch?ids=e6a5012c-cbeb-4c1e-ab80-e5f43efd44e3' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'